function [fun,dfun,ifun,x0,m,C,Ax] = zcosh
% Taylor series coefficient lists for several functions.
% Pm(x) = c(1) + c(2)x + c(2)x^2 + ... + c(m+1)x^m
% fun  is the function, output.
% dfun is the derivative, output.
% ifun is the integral, output.
% x0 is the point of expansion, output.
% m  is the degree of the polynomial, output.
% C  is the coefficient list, output.
% Ax contains three asis vectors plotting, output.
x0 = 0; 
m = 24;
a = -10;
b = 10;
ymin = 0;
ymax = 10000;
ymin1 = -10000;
ymax1 = 10000;
ymin2 = -10000;
ymax2 = 10000;
Ax(1,:) = [a b ymin ymax];
Ax(2,:) = [a b ymin1 ymax1];
Ax(3,:) = [a b ymin2 ymax2];
fun = 'cosh(x)';
dfun = 'sinh(x)';
ifun = 'sinh(x)';
C = [1/620448401733239439360000,
0,
1/1124000727777607680000,
0,
1/2432902008176640000,
0,
1/6402373705728000,
0,
1/20922789888000,
0,
1/87178291200,
0,
1/479001600,
0,
1/3628800,
0,
1/40320,
0,
1/720,
0,
1/24,
0,
1/2,
0,
1];
