function z = crvnam(Clist,ct)
% z = crvnam(Clist,ct)
% Produces the string name for the function created with crvfit.m
% Clist is the coefficient list, input.
% ct is the curve type, input.
% z is the string function, output.
A = Clist(1);
B = Clist(2);
C = Clist(3);
D = Clist(4);
L = Clist(5);
if ct==1&B>=0, 
z=['f(x) = ',num2str(A),'/x + ',num2str(B)];end
if ct==1&B<0, 
z=['f(x) = ',num2str(A),'/x - ',num2str(abs(B))];end
if ct==2&C>=0,
z=['f(x) = ',num2str(D),'/(x + ',num2str(C),')'];end
if ct==2&C<0,
z=['f(x) = ',num2str(D),'/(x - ',num2str(abs(C)),')'];end
if ct==3&B>=0,
z=['f(x) = 1/(',num2str(A),' x + ',num2str(B),')'];end
if ct==3&B<0,
z=['f(x) = 1/(',num2str(A),' x - ',num2str(abs(B)),')'];end
if ct==4&B>=0,
z=['f(x) = x/(',num2str(A),' + ',num2str(B),' x)'];end
if ct==4&B<0,
z=['f(x) = x/(',num2str(A),' - ',num2str(abs(B)),' x)'];end
if ct==5&B>=0,
z=['f(x) = ',num2str(A),' ln(x) + ',num2str(B)];end
if ct==5&B<0,
z=['f(x) = ',num2str(A),' ln(x) - ',num2str(abs(B))];end
if ct==6,
z=['f(x) = ',num2str(C),' exp(',num2str(A),' x)'];end
if ct==7,
z=['f(x) = ',num2str(C),' x^',num2str(A)];
end
if ct==8&B>=0,
z=['f(x) = 1/(',num2str(A),' x + ',num2str(B),')^2'];end
if ct==8&B<0,
z=['f(x) = 1/(',num2str(A),' x - ',num2str(abs(B)),')^2'];end
if ct==9,
z=['f(x) = ',num2str(C),' x exp(',num2str(-D),' x)'];end
if ct==10&C>=0,
z=['f(x) = ',num2str(L),'/(1 + ',num2str(C),' exp(',num2str(A),' x))'];end
if ct==10&C<0,
z=['f(x) = ',num2str(L),'/(1 - ',num2str(abs(C)),' exp(',num2str(A),' x))'];end
