#ifndef ERROR_H
#define ERROR_H

#define kNoError 0			/* No error */
#define	kMissingResource 1	/* Miscellaneous resource missing */
#define kOutOfMemory 2		/* Memory allocation failed */
#define kROMMissing 3		/* ROMS resource not found */
#define kWrongROMError 4	/* ROMS resource found, not proper data in it */
#define kAppleEventError 5	/* Apple Event addition error */
#define kNoColorSupport 6	/* Color QD isn't present error */

void ExitError(unsigned int err);	/* Free memory, display message, exit */
void InternalError(signed int err);	/* Internal error, drops into debugger */

#define kInvalidDeviceNumber -1
#define kDeviceNumberInUse -2
#define kTrapNotInstalled -3
#define kTrapStorageOverflow -4
#define kOutOfMemoryPointers -5
#define kInvalidMemoryFree -6
#define kMemoryViolation -7

#endif