#ifndef SERIAL_H
#define SERIAL_H

#define kSerialOK				0
#define kFloppyError			2
#define kSerialFileNotFound		4
#define kSerialError			4
#define kSerialEOF				64

extern int SerialInitialize(void);

extern void AddSerialDevice(int devnum, byte (*getf)(byte *, int),
	byte (*putf)(byte, int), byte (*openf)(char *, int, int),
	byte (*closef)(int), void (*flushf)(int));

#endif