#   File:       MacWT.fat.make
#   Target:     MacWT.fat
#	Author:		turly
#
#	MPW PPCC Makefile
#
#	Notes
#	=====
#	1. This is a hack!
#
#	2. Included is a method of building a 68K MacWT via MPW C. But this was so crap
#	that I haven't even looked at it for days. (See comments in "mac_wt.h".)
#
#	3. GCCr1.371r15 falls over and dies trying to compile wt. I have other things to
#	do first (like get a PPCC version working!), then I'll try this again.
#
#	4. Turning on full optimisation with PPCC for file "render.c" causes bizarre images.
#	My version of PPCC is dated Oct 12 1993; newer ones could be tried out...
#	(or this may be a base bug, which I haven't touched!)
#
PPCObjDir	= :Objs:PPC:
68KObjDir	= :Objs:68K:
WTDefines	= -D SystemSevenOrLater -D macintosh
WTIncs		= -I :wt: -I :turlsLibs:
IncFiles	= # mac_wt.h

68KSegOpts	= -s turlz
68KLibs		= "{CLibraries}"CSANELib.o "{CLibraries}"StdClib.o "{Libraries}"Runtime.o "{Libraries}"Interface.o
68KCOptions	= {WTDefines} -r -b -opt full -mc68020 {WTIncs}

PPCWTLibs	= "{PPCLibraries}"InterfaceLib.xcoff "{PPCLibraries}"MathLib.xcoff "{PPCLibraries}"StdCLib.xcoff 
				"{PPCLibraries}"StdCRuntime.o "{PPCLibraries}"PPCCRuntime.o

DefPPCOptimisations = -opt speed
PPCCOptions = {WTDefines} -D __powerc -D powerpc -D __powerpc -D __ppcc -w conformance -appleext on -i : {WTIncs}

PPCObjects = 
		{PPCObjDir}MacMain.pc.o 
		{PPCObjDir}MacWT.pc.o 
		{PPCObjDir}Failure.pc.o 
		{PPCObjDir}FixMulDiv.pc.o 
		{PPCObjDir}DirScrnWrite.pc.o 
		{PPCObjDir}fixed.pc.o 
		{PPCObjDir}framebuf.pc.o 
		{PPCObjDir}gifload.pc.o 
		{PPCObjDir}list.pc.o 
		{PPCObjDir}render.pc.o 
		{PPCObjDir}table.pc.o 
		{PPCObjDir}texture.pc.o 
		{PPCObjDir}view.pc.o 
		{PPCObjDir}world.pc.o 
		{PPCObjDir}worldfile.pc.o 
		{PPCObjDir}wt.pc.o 
		{PPCObjDir}wtmem.pc.o

68KObjects = 
		{68KObjDir}MacMain.c.o 
		{68KObjDir}MacWT.c.o 
		{68KObjDir}Failure.c.o 
#		{68KObjDir}FixMulDiv.c.o 
		{68KObjDir}DirScrnWrite.c.o 
#		{68KObjDir}fixed.c.o 
		{68KObjDir}framebuf.c.o 
		{68KObjDir}gifload.c.o 
		{68KObjDir}list.c.o 
		{68KObjDir}render.c.o 
		{68KObjDir}table.c.o 
		{68KObjDir}texture.c.o 
		{68KObjDir}view.c.o 
		{68KObjDir}world.c.o 
		{68KObjDir}worldfile.c.o 
		{68KObjDir}wt.c.o 
		{68KObjDir}wtmem.c.o

######### MPW C 68K (or GNU C) People could uncomment this
#MacWT  {68KObjects}
#	Link -t APPL -c 'McWt' {68KObjects} {68KLibs} -o {Targ}
#	SetFile -a B {Targ}


# "MacWT" is the 68K application which should have been built earlier
# (preferably using Metrowerks.) If it's not, we just copy the resource
# file into a file called "MacWT", which will then get Rezzed into MacWT.fat
# (BUT IT WONT BE FAT!!)

MacWT  WT..rsrc
	Echo "include "{NewerDeps}";" | Rez -a -o {Targ}

MacWT.fat  MacWT
	Echo "include "{NewerDeps}";" | Rez -a -o {Targ}
	SetFile -t APPL -c 'McWt' -a B {Targ}

MacWT.fat  WTppc..rsrc
	Echo "include "{NewerDeps}";" | Rez -a -o {Targ}
	SetFile -t APPL -c 'McWt' -a B {Targ}

MacWT.fat  {PPCObjects}
	PPCLink  {PPCObjects} {PPCWTLibs} -main __start -o MacWT.fat.xcoff
	makePEF MacWT.fat.xcoff -o MacWT.fat  
		-l InterfaceLib.xcoff=InterfaceLib 
		-l MathLib.xcoff=MathLib 
		-l StdCLib.xcoff=StdCLib 
		-ft APPL -fc 'McWt'
	delete MacWT.fat.xcoff

# Need specific command dependency for this file so it (and only it!) goes in the Main segment...
{68KObjDir}MacMain.c.o  MacMain.c
	{C} MacMain.c {68KCOptions} -o {Targ}

# Need specific command dependency for this file so the PPCC optimiser doesnt bugger it up...
# Using the "-opt speed" causes walls in the resulting image to be, erm, black!
{PPCObjDir}render.pc.o  :wt:render.c :wt:slice.c
	PPCC :wt:render.c {PPCCOptions} -opt local -inline user -o {Targ}


{68KObjDir}  : :turlsLibs: :wt:

{PPCObjDir}  : :turlsLibs: :wt:


.c.o			.c		{IncFiles}
	{C} {DepDir}{Default}.c {68KCOptions} {68KSegOpts} -o {TargDir}{Default}.c.o


# Uncomment this dependency and comment the one below if using PPCC under MPW.
.pc.o			.c		{IncFiles}
	PPCC {DepDir}{Default}.c {PPCCOptions} {DefPPCOptimisations} -o {TargDir}{Default}.pc.o

.a.o			.a
	{Asm} {DepDir}{Default}.a {AOptions} -o {TargDir}{Default}.a.o
