REM*** 1st block to put up window, dimension, read data 
CLEAR
WINDOW 1, "MacP12: PROTEIN FEATURE PLOTS", (1, 35)-(515, 340), 1
CALL TEXTFONT(4) : CALL TEXTFACE(0)
DIALOG ON : MENU ON 
ON ERROR GOTO 0
ON DIALOG GOSUB HANDLEDIAL
ON MOUSE GOSUB HANDLEMOUS 
ON MENU GOSUB HANDLEMEN 
DIM ASS(25,12), CUR%(34),rect%(4), B(12),PL$(12),N(12)
GOSUB MENSTATE0
rect%(0)=271:rect%(1)=1:rect%(2)=294:rect%(3)=99
BO=1:BC=2:B0=0:B1=1:B2 = 2: W1=1:W2=2 : L1=1 : WEIGHT=0 : MA$="5":SCALE$="1"
GOSUB GETSYS
whichfield=3
FOR I% = 1 TO 25
FOR J% = 1 TO 12
READ ASS(I%,J%)
NEXT J% : NEXT I%
FOR I% = 1 TO 12
READ PL$(I%)
N(I%)=I% : B(I%)=1
NEXT I%
D1$ = DATE$
GOSUB CURS
GOSUB PRO
CHECK:
GOTO CHECK
REM*** 2nd block=window1 to get information on input file, variables, buttons
PRO:
WINDOW 2, "TEXT", (10, 40)-(505, 335), 2
CALL TEXTFONT(4) : CALL TEXTFACE(0)
EDIT FIELD 2, "MOVING AVERAGE ............................................",(5,40)-(420,55),3,1
EDIT FIELD 3, MA$, (430,40)-(485,55),1,2
EDIT FIELD 4, "FIRST RESIDUE .........",(5,60)-(175,75),3,1
EDIT FIELD 5, "1", (180,60)-(235,75),1,2
EDIT FIELD 6, "LAST RESIDUE ...........",(250,60)-(420,75),3,1
EDIT FIELD 7, N$, (430,60)-(485,75),1,2
EDIT FIELD 8, "SCALE FOR PLOT (2, 1, 0.5, 0.2) ...........................",(5,80)-(420,95),3,1
EDIT FIELD 9, SCALE$, (430,80)-(485,95),1,2
BUTTON 13,B(1), "KYTE/DOOLITTLE",(5,100)-(250,115),3
BUTTON 14,B(2), "HOPP/WOODS",(5,120)-(250,135),3
BUTTON 15,B(3), "RAO/ARGOS",(5,140)-(250,155),3
BUTTON 16,B(4), "AMP07",(5,160)-(250,175),3
BUTTON 17,B(5), "FAUCHERE/PLISKA",(5,180)-(250,195),3
BUTTON 18,B(6), "MANAVALAN/PONNUSWAMY",(5,200)-(250,215),3
BUTTON 19,B(7), "POLARITY",(260,100)-(500,115),3
BUTTON 20,B(8), "FLEXIBILITY",(260,120)-(500,135),3
BUTTON 21,B(9), "BULK",(260,140)-(500,155),3
BUTTON 22,B(10), "TURN PROPENSITY",(260,160)-(500,175),3
BUTTON 23,B(11), "P'STRAND",(260,180)-(500,195),3
BUTTON 24,B(12), "ANTIP'STRAND",(260,200)-(500,215),3
BUTTON 1,L1, "LOAD FILE", (5,10)-(95,25), 3
BUTTON 2,BO, "DISK OPEN", (5,225)-(105,240), 2
BUTTON 3,BC, "DISK CLOSE", (115,225)-(205,240),2
BUTTON 4,W1, "WEIGHT ON", (5,250)-(105,265), 2
BUTTON 5,W2, "WEIGHT OFF", (115,250)-(205,265),2
BUTTON 6,1, "OK", (5,275)-(95,290), 1
BUTTON 12,1, "CANCEL", (105,275)-(195,290), 1
BUTTON 7,1, "HELP", (395,275)-(485,290),1
EDIT FIELD 3 
RETURN
GETSYS:
FIRST=0
RETURN
REDRAW:
CALL PENSIZE(3,3):CALL FRAMEROUNDRECT(VARPTR(rect%(0)),16,16)
CALL PENSIZE(1,1):CALL TEXTSIZE(12):CALL TEXTFACE(1)
CALL MOVETO(105,25):PRINT FI$; N$
RETURN 
REM*** actual analysis depending on previous selection and built-in graphic/disk output
HYD:
WINDOW CLOSE 2
PICTURE ON : PICTURE OFF : CALL SHOWPEN : PICTURE ON : MOUSE ON
CALL PENMODE(9):CALL TEXTMODE(1) : CALL TEXTSIZE(9) : CALL TEXTFACE(0)
LOCATE 1,1 : PRINT D1$; " * "; MID$(FI$,5,20); "*"; N; "RES";
PRINT "*win:"; MA;: IF WEIGHT=1 THEN PRINT "/w ";
PRINT "* res:";MIN; "-";MAX
IF BO=2 THEN GOTO PRF ELSE GOTO NEPRO
PRF:
PRINT#3, "MacP12: Protein Feature Plot"
PRINT#3, D1$; " * "; MID$(FI$,5,20); " *"; N; " AAs * window:";
PRINT#3, "*win:"; MA;: IF WEIGHT=1 THEN PRINT#3, "/w ";
PRINT#3, "* res:";MIN; "-";MAX
PRINT#3, "PLOT #1:"; PL$(NO1); "  PLOT #2:"; PL$(NO2)
NEPRO:
MAX1 = MAX-MIN+1 : MA1 = MA-1 : MA2 = MIN+MA-1
X = 0 : X1=5 : X3 = X1-10
YT0=215 : YT1=165 : YT2=265 : YF0=80 : YF1=30 : YF2=130
CALL MOVETO (X1,YF1) : CALL LINETO (X1,YF2)
CALL MOVETO (X1-3,YF2) : CALL LINETO (X1+(MAX1*SCALE), YF2)
CALL LINE(0,3) : CALL LINE (0,-6)
CALL MOVETO (X1,YT1) : CALL LINETO (X1,YT2)
CALL MOVETO (X1-3,YT2) : CALL LINETO (X1+(MAX1*SCALE), YT2)
CALL LINE(0,3) : CALL LINE (0,-6)
Z = 0
FOR I% = 0 TO 100 STEP 10
CALL MOVETO (X1,YF1+I%) : CALL LINE(3,0)
CALL MOVETO (X1,YT1+I%) : CALL LINE(3,0)
NEXT I%
FOR I% = 0 TO MAX1 STEP 10
Z = I% * SCALE
CALL MOVETO (X1+Z,YF2) : CALL LINE(0,-3)
CALL MOVETO (X1+Z,YF1) : CALL LINE(0,3)
CALL MOVETO (X1+Z,YT2) : CALL LINE(0,-3)
CALL MOVETO (X1+Z,YT1) : CALL LINE(0,3)
NEXT I%
FOR I% = 0 TO MAX1 STEP 2
Z = I% * SCALE
CALL MOVETO (X1+Z,YF2) : CALL LINE(0,-1)
CALL MOVETO (X1+Z,YF1) : CALL LINE(0,1)
CALL MOVETO (X1+Z,YT2) : CALL LINE(0,-1)
CALL MOVETO (X1+Z,YT1) : CALL LINE(0,1)
NEXT I%
PR = MIN-1
FOR I% = 0 TO MAX1 STEP 50
Z = I% * SCALE
CALL MOVETO (X3+Z,YF2 + 12) : PRINT PR
CALL MOVETO (X3+Z,YT2 + 12) : PRINT PR
PR = PR + 50
NEXT I%
CALL MOVETO (X1,YF1-2) : PRINT PL$(NO1)
CALL MOVETO (X1,YT1-2) : PRINT PL$(NO2)
CALL MOVETO (X1, YF0)
Z = 0 
FOR II% = MA2 TO MAX
Y = 0 : C%=0
FOR I% = II%-MA1 TO II%
C%=C%+1
AA = ASS(ASC(MID$(SEC$,I%,1))-64,NO1)
IF WEIGHT=1 THEN Y=Y + (W(C%)*AA)
IF WEIGHT=0 THEN Y=Y+AA
NEXT I%
IF WEIGHT=0 THEN Y=Y/MA
IF WEIGHT=1 THEN Y=Y
Z = Z + SCALE
CALL LINETO (X1+Z, YF2-Y)
NEXT II%
CALL MOVETO (X1, YT0)
Z = 0
FOR II% = MA2 TO MAX
Y = 0 : C%=0
FOR I% = II%-MA1 TO II%
C%=C%+1
AA = ASS(ASC(MID$(SEC$,I%,1))-64,NO2)
IF WEIGHT=1 THEN Y=Y + (W(C%)*AA)
IF WEIGHT=0 THEN Y=Y+AA
NEXT I%
IF WEIGHT=0 THEN Y=Y/MA
IF WEIGHT=1 THEN Y=Y 
Z = Z + SCALE
CALL LINETO (X1+Z, YT2-Y)
NEXT II%
NC=0 : PC=0 : Z=0 : CALL MOVETO (X1,YF2+18) : CALL LINETO (X1+(MAX1*SCALE), YF2+18)
FOR II% = MA2 TO MAX
Z = Z + SCALE
AA$=MID$(SEC$,II%,1)
IF AA$="D" OR AA$ = "E" THEN CALL MOVETO (X1+Z,YF2+18) : CALL LINE (0,3) : NC=NC+1
IF AA$="H" OR AA$="K" OR AA$="R" THEN CALL MOVETO (X1+Z,YF2+18) : CALL LINE (0,-3) : PC=PC+1
NEXT II%
NCP=(NC/MAX1)*100 : PCP=(PC/MAX1)*100
IF BO=2 THEN GOTO PRF1 ELSE GOTO NEPRO1
PRF1:
PRINT #3, "CHARGE       neg     pos"
PRINT#3, "absolute";:PRINT #3, USING "#####.##"; NC; PC
PRINT#3, "   %    ";:PRINT #3, USING "#####.##"; NCP; PCP
PRINT#3, "   AA#          "; SPACE$(MA); "mean#1   mean#2"
NEPRO1:
IF WEIGHT=1 THEN ERASE W
X1 = X1 +1 : MIN = MIN-1: Z = 0
CALL SETCURSOR(VARPTR(CUR%(0)))
CALL TEXTSIZE(12) : CALL TEXTFACE(1)
EDIT FIELD 1, "GRID",(425,1)-(475,15),3,2
CALL TEXTSIZE(9) : CALL TEXTFACE(32):CALL PENMODE(9):CALL TEXTMODE(1)
BUTTON 10,B1, "ON", (415,16)-(453,31),2
BUTTON 11,B2, "OFF", (455,16)-(495,31),2
BUTTON 9,B1, "REPEAT", (5,290)-(105,305), 1
REM*** subroutines for buttons, edit fields, file selection, menu, etc
GOSUB MENSTATE1
RETURN
HANDLEDIAL:
DIAL0=DIALOG(0) : DIAL1=DIALOG(1)
ON DIAL0  GOSUB B, EFIELD, WIN, GO, UPD, OK,TABB
RETURN 
HANDLEMOUS: 
CALL TEXTMODE(2)
MOUS0=MOUSE(0) : XC=MOUSE(1) : YC=MOUSE(2) : X1=5 : Z = Z+1
IF Z MOD 2=0 AND YC< 140 THEN Z1=YF1+14 ELSE IF Z MOD 2=0 AND YC> 140 THEN Z1=YT1+14
IF Z MOD 2<>0 AND YC< 140 THEN Z1=YF1+22 ELSE IF Z MOD 2<>0 AND YC> 140 THEN Z1=YT1+22
IF Z MOD 2=0 THEN Z2=4 ELSE Z2=13
XCOR = ((XC-X1)/SCALE)+MIN
IF YC<140 THEN CALL MOVETO (XC, YF1) : CALL LINE (0,+Z2) : CALL MOVETO (XC-10, Z1) : PRINT CINT(XCOR)
IF YC>140 THEN CALL MOVETO (XC, YT1) : CALL LINE (0,+Z2) : CALL MOVETO (XC-10, Z1) : PRINT CINT(XCOR)
CALL TEXTMODE(1)
IF BO=2 AND YC<140 THEN PRINT#3, USING "######"; CINT(XCOR);: PRINT#3, "    #1  "; MID$(SEC$,XCOR,MA);
IF BO=2 AND YC>140 THEN PRINT#3, USING "######"; CINT(XCOR);: PRINT#3, "    #2  "; MID$(SEC$,XCOR,MA);
IF BO=2 THEN GOSUB CALC
IF BO=2 THEN PRINT#3, USING "#####.##"; AAS1; AAS2
RETURN
CALC:
AAS1=0 : AAS2=0 : SEC1$=MID$(SEC$,XCOR,MA)
FOR I% = 1 TO MA
AA1 = ASS(ASC(MID$(SEC1$,I%,1))-64,NO1) : AAS1=AAS1+AA1
AA2 = ASS(ASC(MID$(SEC1$,I%,1))-64,NO2) : AAS2=AAS2+AA2
NEXT I%
AAS1=AAS1/MA : AAS2=AAS2/MA
RETURN
HANDLEMEN:
MEN0=MENU(0)
ON MEN0 GOSUB MENFILE, MENE, MENS, MENR,MENW
RETURN
MENFILE:
MENFILE=MENU(1)
ON MENFILE GOSUB PRINTPIC, QPRINT, EXI, QUIT
MENU
RETURN
MENE:
MENE=MENU(1)
MENU
RETURN
MENS:
RETURN
MENR:
RETURN
MENW:
RETURN
B:
DIAL1=DIALOG(1)
ON DIAL1 GOSUB B1, B2, B3, B4, B5, B6, B7, B8, B9, B10, B11,B12,B13,B14,B15,B16,B17,B18,B19,B20,B21,B22,B23,B24
RETURN
EFIELD:
RETURN
WIN:
RETURN
GO:
RETURN
UPD:
UPD=DIALOG(5)
IF UPD=1 THEN
   IF WINDOW(0)=1 AND FIRST=1 THEN CALL SETCURSOR(VARPTR(CUR%(0)))
   PICTURE OFF : PICTURE,PICTURE$
   FIRST=1
END IF
IF UPD=2 THEN GOSUB REDRAW
RETURN
OK: 
DIAL6=DIALOG(6)
ON DIAL6 GOSUB B6
RETURN
TABB:
IF whichfield=3 THEN wfield=5
IF whichfield=5 THEN wfield=7
IF whichfield=7 THEN wfield=9
IF whichfield=9 THEN wfield=3
EDIT FIELD wfield
whichfield=wfield
RETURN
B1:
FI$=FILES$(1,"TEXT") : IF FI$ = "" THEN RETURN
GOSUB READSEQ
CALL TEXTFACE(1)
CALL MOVETO(105,25):PRINT FI$; N$
CALL TEXTFACE(0) : L1=2
BUTTON 1,L1
EDIT FIELD 7, N$, (430,60)-(485,75),1,2
EDIT FIELD 3
RETURN
B2:
FO$=FILES$(0, "NAME FOR OUTPUT") : IF FO$="" THEN RETURN
OPEN FO$ FOR OUTPUT AS #3
BC=1 : BO=2
BUTTON 2,BO
BUTTON 3,BC
RETURN
B3:
BC=2 : BO=1
BUTTON 2,BO
BUTTON 3,BC
CLOSE #3 : RETURN
B4:
WEIGHT=1 : W1=2 : W2=1
BUTTON 4,W1
BUTTON 5,W2
RETURN
B5:
WEIGHT=0 : W1=1 : W2=2
BUTTON 4,W1
BUTTON 5,W2
RETURN
B6:
GOSUB WINANS
IF WEIGHT=1 THEN GOSUB WEIGH
RETURN HYD
B7:
GOSUB HELP
RETURN
B8:
WINDOW CLOSE 3 : RETURN
B9:
PICTURE OFF : GOSUB MENSTATE0
BUTTON 9,B0
BUTTON 10,B0 
BUTTON 11,B0
BL1=0
CALL INITCURSOR : MOUSE OFF : EDIT FIELD CLOSE 1
RETURN PRO
B10:
GRIDON=1
BUTTON 10,B2
BUTTON 11,B1
GOSUB GRID
RETURN
B11:
GRIDON=0
BUTTON 10,B1
BUTTON 11,B2
GOSUB GRID1
RETURN
B12:
CLOSE : SYSTEM
B13:
IF B(1)=1 THEN B(1)=2 ELSE B(1)=1
GOSUB BUTS
RETURN
B14:
IF B(2)=1 THEN B(2)=2 ELSE B(2)=1
GOSUB BUTS
RETURN
B15:
IF B(3)=1 THEN B(3)=2 ELSE B(3)=1
GOSUB BUTS
RETURN
B16:
IF B(4)=1 THEN B(4)=2 ELSE B(4)=1
GOSUB BUTS
RETURN
B17:
IF B(5)=1 THEN B(5)=2 ELSE B(5)=1
GOSUB BUTS
RETURN
B18:
IF B(6)=1 THEN B(6)=2 ELSE B(6)=1
GOSUB BUTS
RETURN
B19:
IF B(7)=1 THEN B(7)=2 ELSE B(7)=1
GOSUB BUTS
RETURN
B20:
IF B(8)=1 THEN B(8)=2 ELSE B(8)=1
GOSUB BUTS
RETURN
B21:
IF B(9)=1 THEN B(9)=2 ELSE B(9)=1
GOSUB BUTS
RETURN
B22:
IF B(10)=1 THEN B(10)=2 ELSE B(10)=1
GOSUB BUTS
RETURN
B23:
IF B(11)=1 THEN B(11)=2 ELSE B(11)=1
GOSUB BUTS
RETURN
B24:
IF B(12)=1 THEN B(12)=2 ELSE B(12)=1
GOSUB BUTS
RETURN
BUTS:
FOR I% = 1 TO 12
BUTTON I%+12,B(I%)
NEXT I%
RETURN
PRINTPIC:
PICTURE OFF
P$=PICTURE$
CALL INITCURSOR : OPEN "LPT1:PROMPT" FOR OUTPUT AS #2
WINDOW OUTPUT #2 : PICTURE, P$ : CLOSE #2
PICTURE, P$
RETURN 
QPRINT:
LCOPY : RETURN
EXI:
P$="" : END
QUIT:
CLOSE : SYSTEM
WINANS:
MA$ = EDIT$(3) : MA = VAL(MA$)
MIN$ = EDIT$(5) : MAX$ = EDIT$(7) : SCALE$ = EDIT$(9)
MIN = VAL(MIN$) : MAX = VAL(MAX$) : SCALE = VAL(SCALE$)
IF WEIGHT=1 AND MA MOD 2=0 THEN BEEP : BEEP : RETURN PRO
IF FI$="" THEN BEEP : BEEP : RETURN PRO
BSUM=0
FOR I% = 1 TO 12
BSUM=BSUM+B(I%)
NEXT I%
IF BSUM<>14 THEN BEEP : BEEP : RETURN PRO
FOR I% = 1 TO 12-1
FOR J% = I%+1 TO 12
IF B(I%)=2 AND B(J%)=2 THEN NO1=N(I%) : NO2=N(J%)
NEXT J% : NEXT I%
RETURN
WEIGH:
DIM W(MA)
MAH=CINT(MA/2)
FOR I% = 1 TO MAH 
W(I%)=I%/MAH^2
W(MA+1-I%)=W(I%)
NEXT I%
RETURN
READSEQ:
FI$=FI$
OPEN FI$ FOR INPUT AS #1 : I = 0:SEC$="":D$=""
DIALOG OFF
LINE INPUT#1,D$
IF LEFT$(D$,2)="Z:" THEN GOTO LUTTKE ELSE GOTO PEARSON
LUTTKE:
INPL:
       LINE INPUT#1,D$
      IF LEFT$(D$,3)="***" THEN GOTO INPL1
      IF LEFT$(D$,1) < CHR$(90) AND LEFT$(D$,1) >CHR$(64) THEN SEC$=D$ : GOTO INPL1
      GOTO INPL
INPL1:
      GOTO UCASE
PEARSON:
IF LEFT$(D$,1)=">" THEN GOTO PEARSON1 ELSE GOTO STRIDER
PEARSON1:
       WHILE NOT EOF(1)
          LINE INPUT#1,D$:IF LEFT$(D$,1)=">" THEN GOTO STRIPEM ELSE SEC$=SEC$+D$
       WEND : GOTO STRIPEM
STRIDER:
IF INSTR(D$,"; ### from DNA Strider") THEN GOTO STRIDER1 ELSE GOTO IG
STRIDER1:
       WHILE NOT EOF(1) AND LEFT$(D$,1)=";"
         LINE INPUT#1,D$
       WEND
       SEC$=D$
       REM****no title line in strider text format
       WHILE NOT EOF(1)
         LINE INPUT#1,D$:SEC$=SEC$+D$
       WEND
GOTO STRIPEM
IG:
IF LEFT$(D$,1)=";" THEN GOTO IG1 ELSE GOTO NEWAT
IG1:
       WHILE NOT EOF(1) AND LEFT$(D$,1)=";"
         LINE INPUT#1,D$
       WEND
       REM*****The last call gets the title line
       WHILE NOT EOF(1)
        LINE INPUT#1,D$
        IF LEFT$(D$,1)=";" THEN GOTO STRIPEM ELSE SEC$=SEC$+D$
        REM*****multi-sequence file!
       WEND : GOTO STRIPEM
NEWAT:
IF LEFT$(D$,1)="T" AND MID$(D$,6,3)="   " THEN GOTO NEWAT1 ELSE GOTO EMBL
NEWAT1:
       WHILE NOT EOF(1)
       IF RIGHT$(D$,1)="*" THEN GOTO STRIPEM:REM*****multi-sequence file
        LINE INPUT#1,D$:SLEN%=LEN(D$)-11
          IF SLEN%>0 THEN SEC$=SEC$+RIGHT$(D$,SLEN%)
       WEND : GOTO STRIPEM
EMBL:
IF LEFT$(D$,5)="ID   " THEN GOTO EMBL1 ELSE GOTO GENBANK
EMBL1:
       WHILE NOT EOF(1) AND LEFT$(D$,2) <> "  "
         LINE INPUT#1,D$
       WEND
       WHILE NOT EOF(1) AND LEFT$(D$,2) = "  "
          SLEN%=LEN(D$)-5 : SEC$ = SEC$ + RIGHT$(D$,SLEN%)
          LINE INPUT#1,D$
       WEND : GOTO STRIPEM
GENBANK:
IF INSTR(D$,"bases") THEN GOTO GENBANK1 ELSE GOTO PLAINSEC
GENBANK1:
       WHILE NOT EOF(1) AND INSTR(D$,"        10")=0
         LINE INPUT#1,D$
       WEND
       WHILE NOT EOF(1)
         SLEN%=LEN(D$)-7
         IF SLEN%>0 AND MID$(D$,8,1)<>" " THEN SEC$=SEC$+RIGHT$(D$,SLEN%)
         LINE INPUT#1,D$
        WEND : GOTO STRIPEM
STRIDERPRO:
       item%=0
       REM*****look for chars>standard ASCII,binary portion of Strider File
       FOR I%=1 TO 15
         IF ASC(MID$(D$,I%,1))>122 THEN item%=item%+1
       NEXT I%
       IF item%>0 THEN
          WHILE NOT EOF(1)
             LINE INPUT#1,SEC$
             D$=D$+SEC$
           WEND
       item%=LEN(D$)-15:SEC$=""
          SEC$=RIGHT$(D$,item%):REM*****load everything after junk
          item%=INSTR(SEC$,"Z")
          IF item%>0 THEN SEC$=LEFT$(SEC$,item%-1)
END IF
GOTO STRIPEM
PLAINSEC:
          SEC$=D$:REM*****first line is sequence
          WHILE NOT EOF(1)
             LINE INPUT#1,D$
             IF LEFT$(D$,1) < CHR$(90) AND LEFT$(D$,1) >CHR$(64) THEN SEC$=SEC$ + D$
          WEND
REM*****strip nonprotein characters
STRIPEM:
SLEN%=LEN(SEC$):D$="":BOB$=""
FOR BOB=1 TO SLEN%
BOB$=MID$(SEC$,BOB,1)
IF BOB$< CHR$(90) AND BOB$ >CHR$(64) THEN D$=D$+BOB$
IF BOB$< CHR$(121) AND BOB$ >CHR$(97) THEN D$=D$+BOB$
NEXT BOB
SEC$=D$:D$="":REM*****processed seq length
UCASE:
SEC$=UCASE$(SEC$):REM*****convert to uppercase
IF LEN(SEC$)<1 THEN RETURN
COMP=FRE("") : N=LEN(SEC$) : CLOSE #1 : N$=STR$(N)
DIALOG ON
RETURN
MENSTATE0:
MENU 1,0,1, "File"
MENU 1,1,0, "Print Picture"
MENU 1,2,0, "QuickPrint"
MENU 1,3,1, "Exit"
MENU 1,4,1, "Quit"
RETURN
MENSTATE1:
MENU 1,1,1, "Print Picture"
MENU 1,2,1, "QuickPrint"
RETURN 
GRID:
FOR I% = 0 TO MAX1 STEP 4
Z = I% * SCALE
PSET (X1+Z,YF0+10) : PSET (X1+Z,YF0+20) : PSET (X1+Z,YF0+30) : PSET (X1+Z,YF0+40) : PSET (X1+Z,YF0)
PSET (X1+Z,YF0-10) : PSET (X1+Z,YF0-20) : PSET (X1+Z,YF0-30) : PSET (X1+Z,YF0-40)
PSET (X1+Z,YT0+10) : PSET (X1+Z,YT0+20) : PSET (X1+Z,YT0+30) : PSET (X1+Z,YT0+40)
PSET (X1+Z,YT0-10) : PSET (X1+Z,YT0-20) : PSET (X1+Z,YT0-30) : PSET (X1+Z,YT0-40) : PSET (X1+Z,YT0)
NEXT I%
RETURN
GRID1:
FOR I% = 0 TO MAX1 STEP 4
Z = I% * SCALE
PSET (X1+Z,YF0+10),30 : PSET (X1+Z,YF0+20),30 : PSET (X1+Z,YF0+30),30 : PSET (X1+Z,YF0+40),30 : PSET (X1+Z,YF0),30
PSET (X1+Z,YF0-10),30 : PSET (X1+Z,YF0-20),30 : PSET (X1+Z,YF0-30),30 : PSET (X1+Z,YF0-40),30
PSET (X1+Z,YT0+10),30 : PSET (X1+Z,YT0+20),30 : PSET (X1+Z,YT0+30),30 : PSET (X1+Z,YT0+40),30
PSET (X1+Z,YT0-10),30 : PSET (X1+Z,YT0-20),30 : PSET (X1+Z,YT0-30),30 : PSET (X1+Z,YT0-40),30 : PSET (X1+Z,YT0),30
NEXT I%
RETURN
HELP:
WINDOW 3,"SHORT ROUTE",(5,30)-(500,330),2
CALL TEXTFONT(4) :  CALL TEXTSIZE(9)
PRINT "PROGRAM PLOTS SIMULTANEOUSLY 2 OUT OF 12 FEATURES OF A SELECTED PROTEIN"
PRINT "** SHORT ROUTE: except for OK no prescribed order of BUTTONs"
PRINT " click the LOAD BUTTON for file loading * double click on file name for loading"
PRINT " the file name and number of last residue is written to screen"
PRINT " select FIRST & LAST RESIDUEs for analysis (1 to last by default)"
PRINT " select the moving average (5 = default) or leave it as it stands"
PRINT " select scale for plot (1 = default) or leave it as it stands"
PRINT " select 2 features by clicking on respective BUTTONS"
PRINT "  for change click on selected button ='OFF' * then select new one ='ON'"
PRINT " click DISK OPEN for writing position and AAs of marked peaks to a disk file"
PRINT " click WEIGHT ON for linear weighing *** NOTE: requires ODD moving average"
PRINT " click OK after ALL selections are made * alterations possible BEFORE OK"
PRINT " after plots finished position cursor cross over peaks/valleys to mark residue#"
PRINT " click on GRID to get fine scale * see manual for scale suggestions"
PRINT " click REPEAT to use old file with new parameters or to select new file"
PRINT " choose QickPrint for screen shot *** NOTE: not with LASERWriter"
PRINT " choose Print Picture for printing in HIGH QUALITY"
PRINT " from 'File' select 'Exit' for leaving program *** 'Quit' for going back to finder"
PRINT " beepy warnings: (1) file not loaded; (2)  2 features selected;"
PRINT "   (3) even window size with weight * in each case program goes to 1st window"
PRINT " NOTE: beeps wake you up * you need to figure out what is wrong"
PRINT " "
PRINT " CONSULT MANUAL for DETAILS on FEATURES and WEIGHING OPTION"
BUTTON 8,1, "CONTINUE", (5,280)-(105,295),1
RETURN
REM*** scale data matrix, cursor data
SCALES:
DATA 70,54.69,85.81,75.18,40.49,43.62,39.18,14.55,44.54,25.63,30.64,38.1
DATA 0,0,0,0,0,0,0,0,0,0,0,0
DATA 77.78,62.5,79.73,100,78.22,77.78,7.22,36.26,55.46,26.88,26.81,61.11
DATA 11.11,0,1.35,2.92,7.36,0,100,21.15,45.38,66.88,9.36,9.52
DATA 11.11,0,10.81,0,11.35,21.4,91.75,41,55.46,40,13.19,34.13
DATA 81.11,85.94,100,89.78,85.89,64.81,3.09,81.4,89.92,12.5,43.4,77.78
DATA 45.56,46.88,67.57,62.04,30.98,32.51,50.52,0,0,82.5,0,11.11
DATA 14.44,54.69,39.86,56.2,34.97,26.95,68.04,48.66,56.3,20,4.26,55.56
DATA 100,75,91.22,88.32,86.2,99.18,3.09,73.25,98.32,8.13,98.72,88.89
DATA 0,0,0,0,0,0,0,0,0,0,0,0
DATA 6.67,0,0,7.3,.61,10.49,79.38,45.11,67.23,37.5,13.19,31.75
DATA 92.22,75,93.24,82.48,83.13,83.33,0,67.47,98.32,13.13,48.51,66.67
DATA 71.11,67.19,89.86,94.16,68.71,72.84,9.28,65.71,70.59,0,51.49,61.11
DATA 11.11,43.75,16.22,26.28,12.58,11.73,82.47,28.92,51.26,58.75,11.06,9.52
DATA 0,0,0,0,0,0,0,0,0,0,0,0
DATA 32.22,46.88,30.41,22.63,53.07,10.7,38.14,25.95,76.47,100,2.98,0
DATA 11.11,43.75,16.22,11.68,24.23,18.72,69.07,43.03,60.5,38.13,0,34.13
DATA 0,0,4.05,10.95,0,17.9,69.07,62.07,59.66,32.5,17.02,31.75
DATA 41.11,42.19,59.46,54.74,29.75,7.82,52.58,11.57,33.61,61.88,17.87,35.71
DATA 42.22,53.13,66.89,56.93,38.96,17.28,45.36,24.23,68.07,41.88,13.19,69.84
DATA 0,0,0,0,0,0,0,0,0,0,0,0
DATA 96.67,70.31,86.49,80.29,68.4,100,12.37,56.38,99.16,5,100,88.1
DATA 40,100,61.49,60.58,100,63.37,6.19,100,100,23.75,25.96,77.78
DATA 44 .56,50.23,52.53,51.53,45.77,41.67,42.11,46.17,65.5,36.94,29.17,49.13
DATA 35.56,82.81,50,48.18,60.43,52.88,15.46,76.75,79.83,43.75,34.04,100
DATA "KYTE/DOOLITTLE","HOPP/WOODS","RAO/ARGOS","AMP07","FAUCHERE/PLISKA"
DATA "MANAVALAN/PONNUSWAMY","POLARITY","FLEXIBILITY","VOLUME","TURN","BULK","ANTIP'STRAND"
CURS:
C=0
FOR C=0 TO 31
READ CUR
CUR%(C)=CUR
NEXT C
CUR%(32)=9 : CUR%(33)=13
C=0
RETURN
DATA 0,0,0,0,0,4,4,4,4,31,4,4,4,4,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

